package com.chartexample.androiddatachartexample;

import com.infragistics.controls.Axis;
import com.infragistics.controls.AxisFormatLabelEvent;
import com.infragistics.controls.OnAxisFormatLabelListener;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * Created by rstoffers on 11/11/2014.
 */
public class OnAxisDateLabelListener implements OnAxisFormatLabelListener {
    @Override
    public String onFormatLabel(Axis axis, AxisFormatLabelEvent axisFormatLabelEvent) {
        GregorianCalendar cal = (GregorianCalendar)axisFormatLabelEvent.getItem();
        Date date = cal.getTime();
        SimpleDateFormat format = new SimpleDateFormat("MM/dd");

        String label = format.format(date);

        return label;
    }
}
